Bug 1278871 - change paginator # of items issue
change paginator # of items issue
Status: CLOSED DUPLICATE of bug 1277993
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
high Severity high
: GA
: 5.5.0
Assigned To: Martin Hradil
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-06 10:38 EST by Dave Johnson
Modified: 2015-11-11 15:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-10 11:23:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (61.44 KB, image/png)
2015-11-06 10:38 EST, Dave Johnson
no flags Details

  None (edit)
Description Dave Johnson 2015-11-06 10:38:34 EST
Created attachment 1090709 [details]
screenshot

Description of problem:
=============================
Test automation hit a issue when trying to navigate to a VM from the provider summary page.  After clicking the VM relationship, the testauto would change the # of items per page but nothing happens but a brief spinner.  If you click next, you'll see something like "(Items 21-4 of 4)".  Also, I was on VMs, after clicking next, the page title shows "provider_name (All Hosts)"


Version-Release number of selected component (if applicable):
==================================
5.5.0.8


How reproducible:
====================
100%


Steps to Reproduce:
=======================
1.  manage a provider with 30+ vms
2.  go to provider summary, click on VMs
3.  paginator defaults to 1-20, change to 50 items per page
4.  see the spinner, nothing changes, still 1-20
5.  click next, more ugliness
Comment 2 Dave Johnson 2015-11-06 10:42:27 EST
I also meant to mention, if you navigate straight to Virtual Machines sub tab under Infrastructure tab, pagination seems to work fine.  Its only when you navigate from the provider summary relationships that you see this.

Note You need to log in before you can comment on or make changes to this bug.